Bug 496778 - curl-debuginfo does not contain sources
curl-debuginfo does not contain sources
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: curl (Show other bugs)
rawhide
All Linux
high Severity medium
: ---
: ---
Assigned To: Kamil Dudka
Fedora Extras Quality Assurance
https://www.redhat.com/archives/fedor...
:
Depends On:
Blocks: DebugInfo
  Show dependency treegraph
 
Reported: 2009-04-21 02:01 EDT by Debarshi Ray
Modified: 2009-04-27 17:36 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-27 03:40:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Update Spec. (19.63 KB, text/plain)
2009-04-21 02:02 EDT, Debarshi Ray
no flags Details
Patch to fix debuginfo generation. (606 bytes, patch)
2009-04-21 02:02 EDT, Debarshi Ray
no flags Details | Diff

  None (edit)
Description Debarshi Ray 2009-04-21 02:01:38 EDT
Description of problem:
The debuginfo sub-package is supposed to contain the source files, which is not
the case for cURL.

Version-Release number of selected component (if applicable):
All versions currently available for Rawhide, Fedora 11, Fedora 10 and Fedora
9.
Comment 1 Debarshi Ray 2009-04-21 02:02:12 EDT
Created attachment 340477 [details]
Update Spec.
Comment 2 Debarshi Ray 2009-04-21 02:02:53 EDT
Created attachment 340478 [details]
Patch to fix debuginfo generation.
Comment 3 Debarshi Ray 2009-04-21 02:03:25 EDT
Please request a freeze override for Fedora 11 according to
https://fedoraproject.org/wiki/ReleaseEngineering/FinalFreezePolicy
Comment 4 Kamil Dudka 2009-04-21 08:52:16 EDT
Thanks for the report and the patch! A new ticket against rel-eng was opened:
https://fedorahosted.org/rel-eng/ticket/1567

The scratch build with your changes is available here:
http://koji.fedoraproject.org/koji/taskinfo?taskID=1310967

I'll fix it later to not change the generated configure script, but rather the configure.ac if the bug is there.
Comment 5 Debarshi Ray 2009-04-21 11:08:54 EDT
(In reply to comment #4)
> Thanks for the report and the patch! A new ticket against rel-eng was opened:
> https://fedorahosted.org/rel-eng/ticket/1567
> 
> The scratch build with your changes is available here:
> http://koji.fedoraproject.org/koji/taskinfo?taskID=1310967

A scratch build won't do. You need to actually commit, tag and build. Fixes for Fedora 9 and Fedora 10 would be nice too.
Comment 6 Kamil Dudka 2009-04-22 06:51:45 EDT
Thanks for the quick assistance! curl-7.19.4-7.fc11 has been tagged for dist-f11 and the configure.ac is now fixed and built as curl-7.19.4-9.fc12.
Comment 7 Fedora Update System 2009-04-27 03:41:07 EDT
curl-7.19.4-4.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/curl-7.19.4-4.fc10
Comment 8 Fedora Update System 2009-04-27 03:41:11 EDT
curl-7.19.4-4.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/curl-7.19.4-4.fc9
Comment 9 Fedora Update System 2009-04-27 17:27:09 EDT
curl-7.19.4-4.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2009-04-27 17:36:50 EDT
curl-7.19.4-4.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.